#!/usr/bin/env python
if __name__ != '__main__': raise Exception("Do not import me!")

import chainer
import logging

from chainer.training.updaters import StandardUpdater


from cvfinetune.dataset import BaseDataset
from cvfinetune.finetuner import FinetunerFactory
from cvfinetune.training.trainer import Trainer
from cvmodelz.classifiers import Classifier


from utils import parser

def main(args):
	if args.debug:
		chainer.set_debug(args.debug)
		logging.warning("DEBUG MODE ENABLED!")

	factory = FinetunerFactory(mpi=False)

	tuner = factory(args,
		classifier_cls=Classifier,
		dataset_cls=BaseDataset,
		updater_cls=StandardUpdater,
	)


	tuner.run(trainer_cls=Trainer, opts=args)


main(parser.parse_args())
