#!/usr/bin/env bash

# resnet inception inception_tf [vgg]
MODEL_TYPE=${MODEL_TYPE:-cvmodelz.InceptionV3}
export DATA=${DATA:-/home/korsch/Data/info.yml}


GPU=${GPU:-0}
N_JOBS=${N_JOBS:-3}

OPTIMIZER=${OPTIMIZER:-"adam"}
LR=${LR:-"-lr 1e-3 -lrd 0.1 -lrt 1e-6 -lrs 100"}
DECAY=${DECAY:-5e-4}
EPOCHS=${EPOCHS:-60}
BATCH_SIZE=${BATCH_SIZE:-32}

export OMP_NUM_THREADS=2

DATASET=${DATASET:-CUB200}
# NAC GT GT2 L1_pred L1_full
PARTS=${PARTS:-GLOBAL}

source config.sh

OPTS="${OPTS} --label_smoothing 0.1"
OPTS="${OPTS} --input_size 427"
OPTS="${OPTS} --pretrained_on inat"

$PYTHON $RUN_SCRIPT \
	${DATA} \
	${DATASET} \
	${PARTS} \
	${OPTS} \
	$@

