#!/usr/bin/env bash

# resnet inception inception_tf [vgg]
MODEL_TYPE=${MODEL_TYPE:-inception}
DATA=${DATA:-/home/korsch/Data/info.yml}

GPU=${GPU:-0}
N_JOBS=${N_JOBS:-3}

OPTIMIZER=${OPTIMIZER:-rmsprop}
LR=${LR:-"-lr 1e-4 -lrd 0.1 -lrt 1e-6 -lrs 20"}
DECAY=${DECAY:-5e-4}
EPOCHS=${EPOCHS:-60}
BATCH_SIZE=${BATCH_SIZE:-10}

export OMP_NUM_THREADS=2

DATASET=${DATASET:-CUB200}
# NAC GT GT2 L1_pred L1_full
PARTS=${PARTS:-GT2}

source config.sh


OPTS="${OPTS} --label_smoothing 0.1"
OPTS="${OPTS} --input_size 299"

$PYTHON $RUN_SCRIPT \
	${DATA} \
	${DATASET} \
	${DATASET}_${PARTS} \
	${OPTS} \
	$@

